View Issue Details

IDProjectCategoryView StatusLast Update
0032097LazarusIDEpublic2017-08-16 12:04
Reportersalavata Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPC 64-bitOSWindows 64-bit 
Product Version1.8RC3 
Summary0032097: Weird-looking IDE (esp. Object Inspector) and tiny icons on high-DPI displays with scaling=300%
DescriptionOn a laptop with a 3840x2160 display and 300% scaling (otherwise all texts and icons are extremely tiny) the Lazarus IDE looks crumpled, especially the Object Inspector. It seems that not all sizes were scaled to 300%.
After I manually resized all the IDE windows and the columns in the Object Inspector window, the appearance of the IDE became much better. However, some icons remained tiny on my laptop.
Additionally, the "resize cursor" for moving the columns boundary is tiny too.
Steps To ReproduceDownload and install Lazarus at first time (with a clean user profile).
Change the scaling from 100% to 300% (or 150%, 200%).
Launch the Lazarus IDE.




Additional InformationYou don't need to have UHD display to see these distorted things. Simply temporally change the scaling from 100% to 300% (or 150%, 200%) on a regular 1280x720 (or 1920x1080) display before launching the Lazarus IDE.
TagsNo tags attached.
Fixed in Revisionr55492, r55496, r55499
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0032280 resolvedOndrej Pokorny Tiny "resize cursor" and some icons on high-DPI displays with big scaling 

Activities

salavata

2017-07-02 19:35

reporter  

Ondrej Pokorny

2017-07-02 21:23

developer   ~0101455

> However, some icons remained tiny on my laptop.

Can you please list the icons or icon containers? (E.g. treeview in object inspector and so on.)

wp

2017-07-02 22:50

developer   ~0101458

Ondrej, as far as column and row resizing of grids is concerned, there's a non-scaled constant 2 in doColSizing, line 5706, and in doRowSizing, line 5778, both in grids.pas. This is the tolerance for the mouse to be on the col/row boundary - at 300% this will be really tiny...

salavata

2017-07-08 13:53

reporter  

salavata

2017-07-08 13:55

reporter   ~0101605

I have uploaded a new screenshot (Lazarus1_8RC3onUHDdisplayTinyIcons.png) where the tiny icons are encircled by a red pen.

Michl

2017-07-12 22:58

developer   ~0101677

@Ondrej: You assigned the issue to you, but I hope it is OK, I've fixed the active row drawing in ObjectInspector in r55492?!

Ondrej Pokorny

2017-07-12 23:22

developer   ~0101678

@Michl: Of course it is. Thank you! (I don't have time to work on PC this week at all - not only on Lazarus.)

wp

2017-07-13 11:35

developer   ~0101687

Last edited: 2017-07-13 11:36

View 2 revisions

> as far as column and row resizing of grids is concerned, there's a non-scaled
> constant 2 in doColSizing, line 5706, and in doRowSizing, line 5778, both in
> grids.pas. This is the tolerance for the mouse to be on the col/row boundary -
> at 300% this will be really tiny...

I fixed this in r55494/5 (along with other unscaled constants).

Michl

2017-07-13 19:03

developer   ~0101696

Thanks for the info. I have little bit free time just now. I'll have a look at the other issues too.

Michl

2017-07-15 16:13

developer   ~0101721

Problems shown in Lazarus1_8RC3onUHDdisplayTinyIcons.png fixed in Lazarus trunk revision 55492, 55496 and 55499. Only the different size of the component pagecontrol switching arrow, I can't see here (Windows 7 / Windows 10). I think it's a OS problem.

Issue History

Date Modified Username Field Change
2017-07-02 19:35 salavata New Issue
2017-07-02 19:35 salavata File Added: Lazarus1_8RC3onUHDdisplay.png
2017-07-02 21:22 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-07-02 21:22 Ondrej Pokorny Status new => assigned
2017-07-02 21:23 Ondrej Pokorny Note Added: 0101455
2017-07-02 22:50 wp Note Added: 0101458
2017-07-08 13:53 salavata File Added: Lazarus1_8RC3onUHDdisplayTinyIcons.png
2017-07-08 13:55 salavata Note Added: 0101605
2017-07-12 22:58 Michl Note Added: 0101677
2017-07-12 22:58 Michl Fixed in Revision => r55492
2017-07-12 22:58 Michl LazTarget => -
2017-07-12 23:22 Ondrej Pokorny Note Added: 0101678
2017-07-13 11:35 wp Note Added: 0101687
2017-07-13 11:36 wp Note Edited: 0101687 View Revisions
2017-07-13 19:03 Michl Note Added: 0101696
2017-07-13 19:03 Michl Assigned To Ondrej Pokorny => Michl
2017-07-13 19:04 Michl Fixed in Revision r55492 => r55492, r55496
2017-07-13 21:58 Michl Fixed in Revision r55492, r55496 => r55492, r55496, r55499
2017-07-15 16:13 Michl Note Added: 0101721
2017-07-15 16:13 Michl Status assigned => resolved
2017-07-15 16:13 Michl Resolution open => fixed
2017-08-16 12:04 Michl Relationship added related to 0032280